×

Notice

The forum is in read only mode.
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC: Questions before migration then upgrade to J3+

Questions before migration then upgrade to J3+ 11 months 1 week ago #35191

  • vicky thomas
  • vicky thomas's Avatar Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 14
  • Thank you received: 1
Hi. I am using CComments on one site, and am about to migrate JComments to CComments on another site. On this second site, it is a J2.5 site ... then I plan to upgrade to J3+.
Step 1. Migration of JComments to CComments. J2.5.28 site.
Step 2. Upgrade the J2.5.8 site to J3.5+

Here are my questions:
1. I can't find clear guidance in the documentation on migrating JComments to CComments. I have not yet installed CComments and will be doing this migration on a dev copy. If I missed this documentation, that please provide the link. Otherwise, can you explain the steps (or it is a simple task once the software is installed)? This link was not helpful to me: compojoom.com/support/documentation/ccomment/ch05s02
2. What is the process for upgrade to J3, so that I keep CComments working and avoid error messages? I have run into issues where the J2.5 install doesn't work after upgrade (with other software). Do I need to take special steps when upgrading from J2.5 to J3?

Thanks in advance, Vicky

Questions before migration then upgrade to J3+ 11 months 1 week ago #35192

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Away
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Hey Vicky,

On the 2.5.28 site install ccomment and go to the import view in the backend. Select jcomments from the dropdown and click "migrate". Now you should have the jcomments comment in our system. Upgrade your site to 3.5 - the comment system should continue to work on 3.x

Regards,
Daniel

Questions before migration then upgrade to J3+ 11 months 6 days ago #35199

  • vicky thomas
  • vicky thomas's Avatar Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 14
  • Thank you received: 1
Hi Daniel, I just installed CComments Pro 5.3.8 on my dev J2.5.28 site. I get this error: JHtml: :bootstrap not supported. File not found.

Also, I cannot see any of the CComment screens in admin.
Please assist, how can I resolve this? Thanks, Vicky


PS. WHen I attempted to uninstall this, though message said successful, I did get these two errors:
Notice: Undefined property: CompojoomInstaller::$installationQueue in /.../public_html/j3dev/administrator/components/com_comment/script.php on line 178
Warning: Invalid argument supplied for foreach() in /.../public_html/j3dev/libraries/compojoom/installer/installer.php on line 372

Questions before migration then upgrade to J3+ 11 months 6 days ago #35200

  • vicky thomas
  • vicky thomas's Avatar Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 14
  • Thank you received: 1
Posting my solution (or work around) to this problem:

1. I disabled (not uninstalled) JComments on my J.25 site, to preserve the databases.
2. I used a multistep process in the actual ugrade procedure, as described by webdongle in this post: forum.joomla.org/viewtopic.php?f=710&t=939793
3. I waiting until I had a clean J3 install attached to my actual database, then installed CComments. I had no error messages then.
4. Then, I used the CComment import feature as you described on my clean J3 site, and it did successfully pul the Jcomments data into CComments.

Questions before migration then upgrade to J3+ 11 months 2 days ago #35214

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Away
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Hey Vicky,

Thanks for sharing your experience. I'm glad you managed to make the update. It's strange that you got those errors on 2.5. I have tested the comment system with 2.5.28 and I don't get them. I also scanned our source code for Jhtml::bootstrap and I can't find a single file where we use that function. But anyway - glad you managed to make the upgrade.

Regards,
Daniel

Questions before migration then upgrade to J3+ 6 months 12 hours ago #35837

  • Mary-Lynne Snedden
  • Mary-Lynne Snedden's Avatar
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 3
  • Thank you received: 0
Hi there
Just in case someone else found this issue, I installed CComment Pro on a Joomla 2.5.24 site and encountered the same error. Clearing the Joomla cache and browser history solved the problem.
Mary-Lynne

Questions before migration then upgrade to J3+ 6 months 12 hours ago #35838

  • Mary-Lynne Snedden
  • Mary-Lynne Snedden's Avatar
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 3
  • Thank you received: 0
Hi again
I take that back. Nothing on the component ccomment drop down works and I still get the 500 error. I can access the Plugins though. Not sure what to do as I can't upgrade this site at the moment.
Any advice?
Mary-Lynne

Questions before migration then upgrade to J3+ 5 months 4 weeks ago #35842

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Away
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Hey Mary-Lynne,

Is the frontend working?

Regards,
Daniel
  • Page:
  • 1
Time to create page: 0.079 seconds